Class | Win32::Registry::PredefinedKey
In: | Win32API/lib/win32/registry.rb
Parent: | Registry

Predefined Keys

### Methods

class close new

### Public Class methods

new(hkey, keyname)

[Source]

    # File Win32API/lib/win32/registry.rb, line 351
          def initialize(hkey, keyname)
            @hkey = hkey
            @parent = nil
            @keyname = keyname
            @disposition = REG_OPENED_EXISTING_KEY
          end

### Public Instance methods

class()

Fake class for Registry#open, Registry#create

[Source]

    # File Win32API/lib/win32/registry.rb, line 364
          def class
            Registry
          end

close()

Predefined keys cannot be closed

[Source]

    # File Win32API/lib/win32/registry.rb, line 359
          def close
            raise Error.new(5) ## ERROR_ACCESS_DENIED
          end

[Validate]